# $Revision: 1.12 $, $Date: 2009/09/09 11:41:13 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Compress
%define	pnam	Raw-Bzip2
Summary:	Compress::Raw::Bzip2 - Low-Level Interface to bzip2 compression library
Summary(pl.UTF-8):	Niskopoziomowy interfejs do biblioteki kompresji bzip2
Name:		perl-Compress-Raw-Bzip2
Version:	2.021
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	45ead710bf358802924a8e9c2c39545a
URL:		http://search.cpan.org/dist/Compress-Raw-Bzip2/
BuildRequires:	bzip2-devel >= 1.0.3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::Raw::Bzip2 provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression
library.

Although the primary purpose for the existence of Compress::Raw::Bzip2
is for use by the IO::Compress::Bzip2 and IO::Uncompress::Bunzip2
modules, it can be used on its own for simple
compression/uncompression tasks.

%description -l pl.UTF-8
Compress::Raw::Bzip2 udostępnia interfejs do funkcji
kompresji/dekompresji w pamięci z biblioteki kompresji bzip2.

Choć głównym celem istnienia Compress::Raw::Bzip2 jest wykorzystywanie
przez moduły IO::Compress::Bzip2 i IO::Uncompress::Bunzip2, można tego
modułu użyć samodzielnie do prostych zadań kompresji/dekompresji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/Raw/Bzip2.pm
%dir %{perl_vendorarch}/auto/Compress/Raw/Bzip2
%{perl_vendorarch}/auto/Compress/Raw/Bzip2/Bzip2.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Raw/Bzip2/Bzip2.so
%{perl_vendorarch}/auto/Compress/Raw/Bzip2/autosplit.ix
%{_mandir}/man3/Compress::Raw::Bzip2.3*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Compress-Raw-Bzip2.spec,v $
Revision 1.12  2009/09/09 11:41:13  amateja
- updated to 2.021

Revision 1.11  2009/08/18 21:57:55  adamg
- CVE notes for 2.020

Revision 1.10  2009/06/16 13:33:33  amateja
- updated to 2.020 [ fixes CVE-2009-1391, CVE-2009-1884 ]

Revision 1.9  2008/12/14 12:24:53  agaran
- up to 2.015, rel 1

Revision 1.8  2008/02/10 12:02:28  arekm
- rel 2

Revision 1.7  2008-01-10 08:38:35  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.6  2007-12-19 16:36:55  zbyniu
- up to 2.008, system-bzip2.patch obsoleted

Revision 1.5  2007-05-27 12:13:02  agaran
- up to 2.004, rel 1, builds here

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2006/12/22 18:19:38  qboosh
- desc fix

Revision 1.1  2006/12/22 17:55:29  qboosh
- new
